/******************************************************************************
   File:
      CLOCKGLOBALS.H

   Purpose:
      Global variables

   $Revision: 1.3 $
   $Header: D:\devel\pilot\CodeWarrior\GameTimer\Src/clockGlobals.c,v 1.3 2001/01/22 01:50:12 eshayne Exp $
   $Log: clockGlobals.c,v $
 * Revision 1.3  2001/01/22  01:50:12  eshayne
 * added new preferences: handicap, fischer adjustment @ end of turn and reset after each turn
 *
 * Revision 1.2  2000/09/10  23:03:51  eshayne
 * renamed to Game Timer
 * default Fischer Time to 0 (disabled)
 * option to disable auto-off
 *
 * Revision 1.1  2000/09/09  23:23:54  eshayne
 * Initial revision
 *
 * Revision 1.11  1997/09/13  22:24:05  eshayne
 * added preferences option to enable or disable hardware buttons
 *
 * Revision 1.10  1997/09/07  19:11:25  eshayne
 * added GNU Public License to source files
 *
 * Revision 1.9  1997/09/07  18:33:40  eshayne
 * replaced global preference vars with one instance of preference struct
 *
 * Revision 1.8  1997/09/01  23:41:59  eshayne
 * added optional pause button
 *
 * Revision 1.7  1997/09/01  20:58:08  eshayne
 * made switching routine more accurate (I think) by capturing amount
 * of time left before next decrement before switching over - so next
 * time we can only wait that long before decrementing again. I'm not
 * convinced it works, but it's pretty much impossible to test...
 *
 * Revision 1.6  1997/09/01  19:34:02  eshayne
 * made button switch label between "Start" and "Switch," appropriately
 *
 * Revision 1.5  1997/09/01  18:25:58  eshayne
 * made default Fischer time 20 instead of 5
 *
 * Revision 1.4  1997/09/01  16:31:20  eshayne
 * added Reset option to menu
 *
 * Revision 1.3  1997/09/01  16:08:30  eshayne
 * added Fischer time
 *
 * Revision 1.2  1997/09/01  14:43:52  eshayne
 * moved all TimeCounter-related stuff to counter.h/.c
 *
 * Revision 1.1  1997/09/01  14:31:12  eshayne
 * Initial revision
 *

    Game Timer
    Copyright (C) 1997-2000  Ethan Shayne

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

******************************************************************************/

#include <Pilot.h>
#include <SysEvtMgr.h>

#include "clockGlobals.h"
#include "counter.h"


/* global definitions & initializations */
int iInitialized = 0;
FieldPtr pMinutesField1;
FieldPtr pSecondsField1;
FieldPtr pMinutesField2;
FieldPtr pSecondsField2;
unsigned long ulNextCountTick = 0;
unsigned long ulLastLeftoverTicks = 0;
unsigned long ulLastLeftoverPauseTicks = 0;
int iCurrentPlayer = 2;
struct TimeCounter counter1;
struct TimeCounter counter2;
int iFirstPlayerStarted = 0;
int iSecondPlayerStarted = 0;
int iPaused = 0;

/* preferences-based values */
/* items in struct are, in order:
   start minutes,
   start seconds,
   fischer time,
   accuracy and
   pause-enabled/disabled
   hardware buttons enabled/disabled
   auto-off disabled/enabled (1 = disabled) */
struct ClockPreferences prefs;


